require( "scripts/style.lua" );

-- gRows and gColumns are set up in mainmenu.lua

-- Our mini-game set-up
MakeDialog
{
	-- Name the modal dialog
	name="thegame",
	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/gamebackground",

		GameWindow
		{
			x=kCenter,
			y=kCenter,
			w=400,
			h=400,

			rows=gRows,
			columns=gColumns,
		},
		Text
		{
			x=20,y=20,
			w=kMax-20,h=kMax,
			flags=kHAlignCenter+kVAlignCenter,
			label="squaresinfo",
		},

		Button
		{
			x=650,
			y=550,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="pause",
			label="pause",
			type = kPush,
			command=
				function()
					DoModal("scripts/pause.lua");
				end
		},
		Button
		{
			x=650,
			y=500,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="playmovie",
			label="playmovie",
			type = kPush,
			command=
				function()
						DisplaySplash("splash/playfirst_animated_logo.swf", "splash/playfirst_logo",4000);
				end
		},
	},
}